<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251"/>
<meta forua="true" http-equiv="Cache-Control" content="no-cache,no-store,must-revalidate"/>
<title>Мрак Подземелья:Восстание зла</title>
</head>
<link rel="stylesheet" href="styleN.css" type="text/css" />

<?

echo "<link href=\"styleN.css\" type=\"text/css\" rel=\"stylesheet\">";
$NICK = $_GET['NICK'];
$p=$_GET['p'];
$it=$_GET['it'];
$count=$_POST['count'];
echo'вещи:';
include("db.php");
$db->openDB();
$item = mysql_query("SET NAMES cp1251");
$item=mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$NICK\"");
while($item2=mysql_fetch_assoc($item)){
if(isset($it)){
if($item2[IL_ALL_CLASS]=='personal'){echo"<br/>".'персональные вещи нельзя передавать!';die;}
$item2[IL_NAME]=str_replace('свиток обнуления силы','свитков обнуления силы',$item2[IL_NAME]);
$tra=$item2[IL_NAME];
if($count>$item2[IL_COUNT]){echo'у вас нету такого кол-ва '.$tra;die;}
if($item2[IL_COUNT]>1){echo"<br/>".'введите кол-во: <br/>'."<form action=\"transfer.php?NICK=$NICK&pass=$pass&p=$p&it=$item2[ID_IL]\" method=\"POST\"><input name=\"count\" maxlength=\"4\" size=\"3\"><br/><input type=\"submit\" value=\"ок\"></form>";
$pr1 = mysql_query("SET NAMES cp1251");
$pr1=mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$p\" AND IL_KEY=\"$item2[IL_KEY]\" AND IL_CLASS=\"quests\"");
$pr2=mysql_fetch_assoc($pr1);
if($count==0){echo'кол-во не может равняться 0';die;}
$cplus=$pr2[IL_COUNT]+$count;
$cpmin=$item2[IL_COUNT]-$count;
if(mysql_num_rows($pr1)>0  AND isset($it)){
echo'предмет успешно передан';
$ob1=mysql_query("UPDATE inv SET IL_COUNT=\"$cplus\" WHERE IL_KEY=\"$item2[IL_KEY]\" AND ID_USERS=\"$p\"");
//удаляем вещи у игрока который передает вещь
//если вещь последняя то удаляем ее 
$udIT=mysql_query("UPDATE inv SET IL_COUNT=\"$cpmin\" WHERE ID_USERS=\"$NICK\" AND ID_IL=\"$it\"");
die;}
if(mysql_num_rows($pr1)<1 AND isset($it)){
$ob1 = mysql_query("SET NAMES cp1251");
$ob1=mysql_query("INSERT INTO inv 
(IL_CLASS,IL_NAME,IL_COST,IL_KEY,IL_MIN_DMG,IL_MAX_DMG,IL_MAGD_MIN,IL_MAGD_MAX,
IL_DEF,IL_STR,IL_DEX,IL_INT,IL_SPD,IL_MIN_PROCH,IL_MAX_PROCH,IL_TREBUET,IL_IMAGE,
IL_SRC,IL_NO,ID_USERS,IL_SHANS_BLOCK,IL_VES,IL_FIRE,IL_WOOD,IL_METALL,
IL_WIND,IL_EARTH,IL_COUNT) 
VALUES('$item2[IL_CLASS]','$item2[IL_NAME]','$item2[IL_COST]','$item2[IL_KEY]','$item2[IL_MIN_DMG]',
'$item2[IL_MAX_DMG]','$item2[IL_MAGD_MIN]','$item2[IL_MAGD_MAX]','$item2[IL_DEF]',
'$item2[IL_STR]','$item2[IL_DEX]','$item2[IL_INT]','$item2[IL_SPD]','$item2[IL_MIN_PROCH]',
'$item2[IL_MAX_PROCH]','$item2[IL_TREBUET]','$item2[IL_IMAGE]','$item2[IL_SRC]','0',
'$p','$item2[IL_SHANS_BLOCK]','$item2[IL_VES]','$item2[IL_FIRE]','$item2[IL_WOOD]','$item2[IL_METALL]',
'$item2[IL_WIND]','$item2[IL_EARTH]','$cplus')");
echo'предмет успешно передан';
$udIT=mysql_query("UPDATE inv SET IL_COUNT=\"$cpmin\" WHERE ID_USERS=\"$NICK\" AND ID_IL=\"$it\"");
die;}
die;}
//проверяем есть ли у игрока такой предмет
//если есть и это не оружие или броня ,то добавляем еще
//если это оружие или броня добавляем новый
$pr1 = mysql_query("SET NAMES cp1251");
$pr1=mysql_query("SELECT * FROM inv WHERE ID_USERS=\"$p\" AND IL_KEY=\"$item2[IL_KEY]\" AND IL_CLASS=\"quests\"");
$pr2=mysql_fetch_assoc($pr1);
$cplus=$pr2[IL_COUNT]+1;
if(mysql_num_rows($pr1)>0){
echo'предмет успешно передан';
$ob1=mysql_query("UPDATE inv SET IL_COUNT=\"$cplus\" WHERE IL_KEY=\"$item2[IL_KEY]\" AND ID_USERS=\"$p\"");die;}
if(mysql_num_rows($pr1)<1){
$ob1 = mysql_query("SET NAMES cp1251");
$ob1=mysql_query("INSERT INTO inv (IL_CLASS,IL_NAME,IL_COST,IL_KEY,IL_MIN_DMG,IL_MAX_DMG,IL_MAGD_MIN,IL_MAGD_MAX,IL_DEF,IL_STR,IL_DEX,IL_INT,IL_SPD,IL_MIN_PROCH,IL_MAX_PROCH,IL_TREBUET,IL_IMAGE,IL_SRC,IL_NO,IL_COUNT,ID_USERS,IL_SHANS_BLOCK,IL_VES,IL_FIRE,IL_WOOD,IL_METALL,IL_WIND,IL_EARTH,IL_COUNT) VALUES('$item2[IL_CLASS]','$item2[IL_NAME]','$item2[IL_COST]','$item2[IL_KEY]','$item2[IL_MIN_DMG]','$item2[IL_MAX_DMG]','$item2[IL_MAGD_MIN]','$item2[IL_MAGD_MAX]','$item2[IL_DEF]','$item2[IL_STR]','$item2[IL_DEX]','$item2[IL_INT]','$item2[IL_SPD]','$item2[IL_MIN_PROCH]','$item2[IL_MAX_PROCH]','$item2[IL_TREBUET]','$item2[IL_IMAGE]','$item2[IL_SRC]','$item2[IL_NO]','$p','$item2[IL_SHANS_BLOCK]','$item2[IL_VES]','$item2[IL_FIRE]','$item2[IL_WOOD]','$item2[IL_METALL]','$item2[IL_WIND]','$item2[IL_EARTH]','1')");
echo'предмет успешно передан';
die;}
die;}
echo '<br>'."<a href=\"transfer.php?NICK=$NICK&pass=$pass&p=$p&it=$item2[ID_IL]\">".$item2[IL_NAME]."</a> $item2[IL_COUNT] шт.".'';
}
?>
